Willkommen Gast. Bitte einloggen oder registrieren. Haben Sie Ihre Aktivierungs E-Mail übersehen?
11.04.2021, 04:16:55

.
Einloggen mit Benutzername, Passwort und Sitzungslänge

Mitglieder
  • Mitglieder insgesamt: 25482
  • Letzte: Dragonx21
Statistiken
  • Beiträge insgesamt: 727712
  • Themen insgesamt: 58757
  • Heute online: 394
  • Am meisten online: 2287
  • (22.01.2020, 19:20:24)
Benutzer Online
Mitglieder: 0
Gäste: 239
Gesamt: 239

Autor Thema:  pam_ck_connector  (Gelesen 236 mal)

0 Mitglieder und 1 Gast betrachten dieses Thema.

pam_ck_connector
« am: 11.01.2021, 14:29:19 »
LM 20 Cinnamon
Seit einigen Tagen finde ich im bootlog mehrmals:
lightdm[1233]: PAM unable to dlopen(pam_ck_connector.so): /lib/security/pam_ck_connector.so: cannot open shared object file: No such file or directory
lightdm[1233]: PAM adding faulty module: pam_ck_connector.so
Wobei statt [lightdm] auch [sudo] und [systemd] auftauschen.
Das Modul ist auch wirklich nicht vorhanden, auch nicht in /lib/x86_64-linux-gnu/securityWurde da etwas unabsichtlich, oder absichtlich aber unvollständig, entfernt?

Re: pam_ck_connector
« Antwort #1 am: 12.01.2021, 01:23:24 »
@ lmumischabln

Bevor ich deine Antwort las, hatte ich bereits folgendes gemacht:
In der Datei:
/etc/pam.d/common-session
Diese Zeile auskommentiert:
# ALF: next line disables (module not found errors) 2021-01-11
# session optional       pam_ck_connector.so nox11
Alle Dateien in diesem Verzeichnis, deren Namen mit "common-" beginnen gibt es doppelt in dieser Form:
/etc/pam.d/common-account.pam-old
/etc/pam.d/common-account
Die Paare sind jeweils identisch und haben alle das Änderungsdatum: 2020-08-25 23:40:xx

Später habe dann noch folgendes herausgefunden:

Aus dem Verlauf von Synaptic:
Commit Log for Tue Aug 25 23:34:34 2020

Die folgenden Pakete wurden aktualisiert:
libpam-modules (1.1.8-3.6ubuntu2.18.04.1) to 1.1.8-3.6ubuntu2.18.04.2
libpam-modules-bin (1.1.8-3.6ubuntu2.18.04.1) to 1.1.8-3.6ubuntu2.18.04.2
libpam-runtime (1.1.8-3.6ubuntu2.18.04.1) to 1.1.8-3.6ubuntu2.18.04.2
libpam0g (1.1.8-3.6ubuntu2.18.04.1) to 1.1.8-3.6ubuntu2.18.04.2
Die common-*.pam.old sind wohl Sicherungsdateien, die bei dieser Aktualisierung angelegt wurden.

In Synaptic habe ich auch das installierte Paket:
libck-connector0:amd64    0.4.6-5    ConsoleKit librariesgefunden.

Auf meinen LapTop (mit annähernd gleicher Softwareausstattung)
fehlt sowohl diese Paket als auch (logischerweise) der entsprechende Eintrag in:
/etc/pam.d/common-session
Die obigen Pakete wurden auf dem LapTop am 27.9.2020 installiert, zusätzlich:
libpam-systemd (237-3ubuntu10.41) to 237-3ubuntu10.42Hier gas es diese Fehlermeldung im Journal nie.

Beide Maschinen sind von LM 19.3 auf LM 20 upgegradet worden, der Laptop allerdings wesentlich früher, allerdings mit Zurücksetzen auf LM 19.3, weil pam-usb nicht verfügbar war für LM 20. Später dann mit dem Timeshift Snapshot wieder auf LM umgestiegen und das inzwischen verfügbare pam-usb 0.7 installiert.

Hier noch die Ergebnisse deiner Anweisungen:
alf@Ida ~ $ apt-cache policy consolekit libck-connector0 libpam-ck-connector
consolekit:
  Installiert:           (keine)
  Installationskandidat: (keine)
  Versionstabelle:
     0.4.6-5 -1
        100 /var/lib/dpkg/status
libck-connector0:
  Installiert:           0.4.6-5
  Installationskandidat: 0.4.6-5
  Versionstabelle:
 *** 0.4.6-5 100
        100 /var/lib/dpkg/status
libpam-ck-connector:
  Installiert:           (keine)
  Installationskandidat: (keine)
  Versionstabelle:
 
alf@Ida ~ $ dpkg -l | egrep 'consolekit|libck-connector0|libpam-ck-connector'
rc  consolekit                0.4.6-5    amd64  framework for defining and tracking users, sessions and seats
ii  libck-connector0:amd64    0.4.6-5    amd64  ConsoleKit libraries
 

So ganz klar ist mir nicht, was da los ist/war.
Scheinbar kann LM auch gut ohne consolekit leben?

Nachtrag:
Zum ersten Mal aufgetreten: 24.12.2020, 15:15:08:25, also ein Weihnachtsgeschenk  ;D
War der erste Start nach dem Upgrade.
« Letzte Änderung: 12.01.2021, 22:12:38 von MAlfare »